Loading...
Searching...
No Matches
pdumodel::VoltageMonitoringSensor::DipSwellThresholds Struct Reference

## Public Attributes

boolean | dipActive
| `true` if dip events should be monitored
double | dipThreshold
| Dip event threshold.
boolean | swellActive
| `true` if swell events should be monitored
double | swellThreshold
| Swell event threshold.
float | deassertionHysteresis
| Deassertion hysteresis.

## Detailed Description

Definition at line 27 of file VoltageMonitoringSensor.idl.

## Member Data Documentation

## deassertionHysteresis

float pdumodel::VoltageMonitoringSensor::DipSwellThresholds::deassertionHysteresis

Deassertion hysteresis.

Definition at line 32 of file VoltageMonitoringSensor.idl.

## dipActive

boolean pdumodel::VoltageMonitoringSensor::DipSwellThresholds::dipActive

`true` if dip events should be monitored

Definition at line 28 of file VoltageMonitoringSensor.idl.

## dipThreshold

double pdumodel::VoltageMonitoringSensor::DipSwellThresholds::dipThreshold

Dip event threshold.

Definition at line 29 of file VoltageMonitoringSensor.idl.

## swellActive

boolean pdumodel::VoltageMonitoringSensor::DipSwellThresholds::swellActive

`true` if swell events should be monitored

Definition at line 30 of file VoltageMonitoringSensor.idl.

## swellThreshold

double pdumodel::VoltageMonitoringSensor::DipSwellThresholds::swellThreshold

Swell event threshold.

Definition at line 31 of file VoltageMonitoringSensor.idl.

The documentation for this struct was generated from the following file:

- VoltageMonitoringSensor.idl